{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.characters": {
      "states": {
        "default": {
          "transitions": [
            {
              "asta": "q.get_equipped_item_name=='asta' && q.is_using_item"
            },
            {
              "eren": "q.get_equipped_item_name=='eren' && q.is_using_item"
            },
            {
              "escanor": "q.get_equipped_item_name=='escanor' && q.is_using_item"
            },
            {
              "gojo": "q.get_equipped_item_name=='gojo' && q.is_using_item"
            },
            {
              "itadori": "q.get_equipped_item_name=='itadori' && q.is_using_item"
            },
            {
              "jinwoo": "q.get_equipped_item_name=='jinwoo' && q.is_using_item"
            },
            {
              "kuririn": "q.get_equipped_item_name=='kuririn' && q.is_using_item"
            },
            {
              "luffy": "q.get_equipped_item_name=='luffy' && q.is_using_item"
            },
            {
              "reiner": "q.get_equipped_item_name=='reiner' && q.is_using_item"
            },
            {
              "todoroki": "q.get_equipped_item_name=='todoroki' && q.is_using_item"
            },
            {
              "yamamoto": "q.get_equipped_item_name=='yamamoto' && q.is_using_item"
            },
            {
              "zoro": "q.get_equipped_item_name=='zoro' && q.is_using_item"
            }
          ]
        },
        "asta": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Asta]§r\"}]}",
            "/tag @s add unlock.asta",
            "/clear @s wesl3y:asta 0 1"
          ]
        },
        "eren": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Eren]§r\"}]}",
            "/tag @s add unlock.eren",
            "/clear @s wesl3y:eren 0 1"
          ]
        },
        "escanor": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Escanor]§r\"}]}",
            "/tag @s add unlock.escanor",
            "/clear @s wesl3y:escanor 0 1"
          ]
        },
        "gojo": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Gojo]§r\"}]}",
            "/tag @s add unlock.gojo",
            "/clear @s wesl3y:gojo 0 1"
          ]
        },
        "itadori": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Itadori]§r\"}]}",
            "/tag @s add unlock.itadori",
            "/clear @s wesl3y:itadori 0 1"
          ]
        },
        "jinwoo": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Jinwoo]§r\"}]}",
            "/tag @s add unlock.jinwoo",
            "/clear @s wesl3y:jinwoo 0 1"
          ]
        },
        "kuririn": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Kuririn]§r\"}]}",
            "/tag @s add unlock.kuririn",
            "/clear @s wesl3y:kuririn 0 1"
          ]
        },
        "luffy": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Luffy]§r\"}]}",
            "/tag @s add unlock.luffy",
            "/clear @s wesl3y:luffy 0 1"
          ]
        },
        "reiner": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Reiner]§r\"}]}",
            "/tag @s add unlock.reiner",
            "/clear @s wesl3y:reiner 0 1"
          ]
        },
        "todoroki": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Todoroki]§r\"}]}",
            "/tag @s add unlock.todoroki",
            "/clear @s wesl3y:todoroki 0 1"
          ]
        },
        "yamamoto": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Yamamoto]§r\"}]}",
            "/tag @s add unlock.yamamoto",
            "/clear @s wesl3y:yamamoto 0 1"
          ]
        },
        "zoro": {
          "transitions": [
            {
              "default": "!q.is_using_item"
            }
          ],
          "on_entry": [
            "/tellraw @s{\"rawtext\":[{\"selector\":\"@s\"},{\"text\":\" has made the advancement §a[Zoro]§r\"}]}",
            "/tag @s add unlock.zoro",
            "/clear @s wesl3y:zoro 0 1"
          ]
        }
      }
    }
  }
}